THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-3204

c-blosc2 ndlz4x4.c ndlz4_decompress heap-based overflow

AssignerVulDB
Reserved2024-04-02
Published2024-04-02
Updated2024-07-10

Description

EN DE

A vulnerability has been found in c-blosc2 up to 2.13.2 and classified as critical. Affected by this vulnerability is the function ndlz4_decompress of the file /src/c-blosc2/plugins/codecs/ndlz/ndlz4x4.c. The manipulation leads to heap-based buffer overflow. The attack can be launched remotely. The exploit has been disclosed to the public and may be used. Upgrading to version 2.14.3 is able to address this issue. It is recommended to upgrade the affected component. The associated identifier of this vulnerability is VDB-259051.

In c-blosc2 bis 2.13.2 wurde eine Schwachstelle gefunden. Sie wurde als kritisch eingestuft. Das betrifft die Funktion ndlz4_decompress der Datei /src/c-blosc2/plugins/codecs/ndlz/ndlz4x4.c. Dank Manipulation mit unbekannten Daten kann eine heap-based buffer overflow-Schwachstelle ausgenutzt werden. Der Angriff kann über das Netzwerk angegangen werden. Der Exploit steht zur öffentlichen Verfügung. Ein Aktualisieren auf die Version 2.14.3 vermag dieses Problem zu lösen. Als bestmögliche Massnahme wird das Einspielen eines Upgrades empfohlen.



HIGH: 7.3CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
HIGH: 7.3CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
7.5CVSS:2.0/AV:N/AC:L/Au:N/C:P/I:P/A:P

Problem types

CWE-122 Heap-based Buffer Overflow

Timeline

2024-04-02:Advisory disclosed
2024-04-02:VulDB entry created
2024-04-06:VulDB entry last update

Credits

AlkaidLx (VulDB User) reporter

References

https://vuldb.com/?id.259051 (VDB-259051 | c-blosc2 ndlz4x4.c ndlz4_decompress heap-based overflow) vdb-entry technical-description

https://vuldb.com/?ctiid.259051 (VDB-259051 | CTI Indicators (IOB, IOC, IOA)) signature permissions-required

https://vuldb.com/?submit.304557 (Submit #304557 | blosc c-blosc2 commit 1dd1e55cb329d01c210da77ceb53027853c35b72 heap-buffer-overflow) third-party-advisory

https://drive.google.com/drive/folders/1T1k3UeS09m65LjVXExUuZfedNQPWQWCo?usp=sharing exploit

https://github.com/Blosc/c-blosc2/releases/tag/v2.14.3 patch

cve.org CVE-2024-3204

nvd.nist.gov CVE-2024-3204

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-3204